# wxGridCellEnumRenderer Class Reference
[Grid Related Classes]

`#include </home/work/projects/wx/2.9/wx/interface/wx/grid.h>`

Inheritance diagram for wxGridCellEnumRenderer:
[legend]

## Detailed Description

This class may be used to render in a cell a number as a textual equivalent.

The corresponding text strings are specified as comma-separated items in the string passed to this renderer ctor or SetParameters() method. For example, if this string is `"John,Fred,Bob"` the cell will be rendered as "John", "Fred" or "Bob" if its contents is 0, 1 or 2 respectively.

##

Library: wxAdvanced
Category: Grid Related Classes

See also:
  wxGridCellRenderer, wxGridCellAutoWrapStringRenderer, wxGridCellBoolRenderer, wxGridCellDateTimeRenderer, wxGridCellFloatRenderer, wxGridCellNumberRenderer, wxGridCellStringRenderer

## Public Member Functions

| wxGridCellEnumRenderer (const wxString &choices=wxEmptyString)
| Enum renderer ctor.
virtual void | SetParameters (const wxString &params)
| Sets the comma separated string content of the enum.

List of all members.

## Constructor & Destructor Documentation

wxGridCellEnumRenderer::wxGridCellEnumRenderer | ( | const wxString & | choices = `wxEmptyString` | ) |

Enum renderer ctor.

Parameters:

  | choices | Comma separated string parameters "item1[,item2[...,itemN]]".

## Member Function Documentation

virtual void wxGridCellEnumRenderer::SetParameters | ( | const wxString & | params | ) | `[virtual]`

Sets the comma separated string content of the enum.

Parameters:

  | params | Comma separated string parameters "item1[,item2[...,itemN]]".

|  | [ top ]